Bug 802580 - Device p21p1 does not show up in system-config-network
Device p21p1 does not show up in system-config-network
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-12 20:31 EDT by Eric Hopper
Modified: 2013-02-13 09:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 09:28:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2012-03-12 20:31:37 EDT
Description of problem:
When I try to configure my network with system-config-network I get an empty list of devices even though I have an ethernet card that the system has named p21p1.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Log in at console
2.ip link ls - shows you that yes indeed, there is a p21p1
4.Select 'Device configuration'
Actual results:
I get a dialog box titled 'Select A Device' that is completely empty except for a 'Save' and 'Cancel' button.

Expected results:
A dialog box titled 'Select A Device' that lists p21p1 as a device that can be configured.

Additional info:
The livecd installer crashes for a reason similar to this if I give '--vnc' and '--vncconnect=some_ip_address' as options. I get a weird DBus key error about not being able to find 'p21p1' in a dictionary.
Comment 1 Eric Hopper 2012-03-12 20:41:24 EDT
It is my strong suspicion that this is because some piece of the system somewhere is expecting interfaces to always be named 'eth#', 'p#p#', or 'p#p#.#' but never 'p##.p#'.
Comment 2 Eric Hopper 2012-03-12 21:31:44 EDT
I discovered that there is a file named:


and it contains all the details that NetworkManager is using to set up my network connection. If I rename this file to:


then system-config-network-tui starts working. Also, the liveinst program from the livecd installer starts working.

So something that's responsible for initially populating the network-scripts directory with all the ifcfg-* files is making a dumb mistake.
Comment 3 Eric Hopper 2012-03-12 22:22:18 EDT
This file does not get created until you change something about the connection to 'non-default' using the graphical network configuration thing from the gnome control panel.

But once it is created, you can rename it to reflect the device name and things work fine afterward.
Comment 4 Fedora End Of Life 2013-01-16 08:37:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Fedora End Of Life 2013-02-13 09:28:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.